protolabs42

memory/recall

Recall all memories associated with a specific entity across accessible namespaces.

POST
/rpc#memory.recall

Recall all memories associated with a specific entity across accessible namespaces.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://chorus.runclaw.run/rpc#memory.recall" \  -H "Content-Type: application/json" \  -d '{    "entity": "string"  }'
{
  "memories": [
    {
      "id": "string",
      "content": "string",
      "memory_type": "string",
      "owner": "string",
      "namespace": "string",
      "entity": "string",
      "category": "string",
      "tags": [],
      "confidence": 1,
      "source": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "source_org": "string",
      "source_claw": "string",
      "deleted_at": "string",
      "expires_at": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}